@charset "UTF-8";

:root {
    --gap_28px: clamp(16px, 3vw, 28px);
    --gap_22px: clamp(16px, 3vw, 22px);
    --gap_20px: clamp(14px, 3vw, 20px);
}

html,
body {
  margin: 0;
  padding: 0;
  border: 0;
}

.page_wrap {
    /* font-size: 16px; */
    font-family: "M PLUS Rounded 1c", sans-serif;
    font-weight: 700;
    font-style: normal;
    font-feature-settings: "palt" 1;
    color: #fff;
    letter-spacing: .02em;
    overflow: hidden;
    text-align: center;
}

.page_wrap * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.page_wrap ul,
.page_wrap ol {
    list-style: none;
}

.page_wrap img {
    max-width: 100%;
}

.page_wrap picture {
    display: flex;
    justify-content: center;
}

.inner_wrap {
    padding: 7% 5%;
}


.sp {
    display: block;
}

.pc {
    display: none;
}

.ib {
    display: inline-block;
}

/* 
.spacer {
    display: block;
    height: .8em;
} */

@media screen and (min-width: 768px) {

    .inner_wrap {
        max-width: 1600px;
        padding: clamp(60px, 6vw, 100px) 5%;
        margin: 0 auto;
    }

    .sp {
        display: none;
    }

    .pc {
        display: block;
    }

}

/* =========================================
    　　　　　　　　背景
============================================*/


.page_wrap::before {
    content: "";
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: url("/tenjin_present/images/bg_pc.jpg") center/cover no-repeat;
    background-color: var(--color-black);
    z-index:-1;
}

/* @media screen and (min-width: 768px) {
    .page_wrap::before {
        background: url("/hentai_shokubutsu/images/bg_pc.png") center/cover no-repeat;
        background-color: var(--color-black);
    }
} */

/* =========================================
    　　メインビジュアル(class="mv")
============================================*/

.mv img {
    -webkit-mask-image: linear-gradient(to bottom, rgba(0, 0, 0, 1) 90%, rgba(0, 0, 0, 0));
}

@media screen and (min-width: 768px) {

    .mv img {
        -webkit-mask-image: linear-gradient(to bottom, rgba(0, 0, 0, 1) 95%, rgba(0, 0, 0, 0));
    }

}

/* =========================================
    　　プレゼント(class="present")
============================================*/

.present h2 {
    width: 90%;
    margin: 0 auto 5% auto;
    position: relative;
}

.present h2::before {
    content: "";
    display: block;
    background: url(/tenjin_present/images/present_intro_bg1.png) no-repeat center center / 100%;
    aspect-ratio: 243 / 229;
    position: absolute;
    top: 9%;
    left: -7vw;
    width: 30%;
    z-index: -1;
}

.present h2::after {
    content: "";
    display: block;
    background: url(/tenjin_present/images/present_intro_bg2.png) no-repeat center center / 100%;
    aspect-ratio: 139 / 143;
    position: absolute;
    bottom: -2%;
    left: 28vw;
    width: 23%;
    z-index: -1;
}

.btn {
    position: relative;
    padding: 10% 5% 7% 5%;
    margin: 10% auto 0 auto;
}
  
.btn::before {
    content: "";
    position: absolute;
    inset: 0;
    pointer-events: none;
    background:
    /* 上 左 */
    linear-gradient(#fff, #fff) left top / calc(50% - 16vw) 3px no-repeat,
    /* 上 右 */
    linear-gradient(#fff, #fff) right top / calc(50% - 16vw) 3px no-repeat,
    /* 左 */
    linear-gradient(#fff, #fff) left top / 3px 100% no-repeat,
    /* 右 */
    linear-gradient(#fff, #fff) right top / 3px 100% no-repeat,
    /* 下 */
    linear-gradient(#fff, #fff) left bottom / 100% 3px no-repeat;
}

.btn h3 {
    position: absolute;
    top: -0.7em;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    font-weight: bold;
    font-size: clamp(16px, 6vw, 42px);
    padding: 0 1em;
    margin: 0;
}

.btn p {
    font-size: var(--gap_22px);
    line-height: 1.5em;
    margin-bottom: 5%;
}

.btn small {
    position: relative;
    display: inline-block;
    font-size: var(--gap_22px);
    padding: 0 3%;
    margin-bottom: 1%;
}

.btn small::before,
.btn small::after {
    position: absolute;
    content: '';
    bottom: .2em;
    height: 1em;
}

.btn small::before {
    border-left: solid 2px;
    left: 0;
    transform: rotate(-30deg);
}

.btn small::after {
    border-right: solid 2px;
    right: 0;
    transform: rotate(30deg);
}

.btn small span {
    color: #feee08;
    font-size: clamp(18px, 3vw, 24px);
}

.btn a {
    display: inline-block;
    width: 90%;
    margin: 0 auto;
    animation: pulse 1.5s infinite;
}

@keyframes pulse {
    0%,100% {
      transform: scale(1);
    }
  
    50% {
      transform: scale(1.05);
    }
}


@media screen and (min-width: 768px) {

    .present h2::before {
        top: -1%;
        left: -5vw;
        width: 18%;
    }

    .present h2::after {
        bottom: -2%;
        left: 20vw;
        width: 15%;
    }

    .present ul {
        display: flex;
        column-gap: 2%;
    }

    .present li {
        width: 50%;
    }

    .btn {
        max-width: 1000px;
        padding: 6% 5% 4% 5%;
        margin: 8% auto 0 auto;
    }

    .btn::before {
        background:
        /* 上 左 */
        linear-gradient(#fff, #fff) left top / calc(50% - 12vw) 3px no-repeat,
        /* 上 右 */
        linear-gradient(#fff, #fff) right top / calc(50% - 12vw) 3px no-repeat,
        /* 左 */
        linear-gradient(#fff, #fff) left top / 3px 100% no-repeat,
        /* 右 */
        linear-gradient(#fff, #fff) right top / 3px 100% no-repeat,
        /* 下 */
        linear-gradient(#fff, #fff) left bottom / 100% 3px no-repeat;
    }

    .btn h3 {
        font-size: clamp(40px, 5vw, 60px);
    }

    .btn p {
        font-size: var(--gap_28px);
        margin-bottom: 3%;
    }

    .btn small {
        font-size: var(--gap_28px);
    }

    .btn small span {
        font-size: clamp(26px, 3vw, 36px);
    }

    .btn small::before,
    .btn small::after {
        bottom: 0.3em;
    }

    .btn a {
        width: 80%;
        max-width: 600px;
        transition-duration: .2s;
    }

    .btn a:hover {
        opacity: .7;
    }

}

@media screen and (min-width: 1350px) {

    .present h2::before {
        left: 0;
    }

}

/* =========================================
    　　　　　　チラシ(class="flyer")
============================================*/

.flyer {
    position: relative;
    margin: clamp(50px, 17vw, 100px) 0 clamp(10px, 4vw, 40px) 0;
    /* background: 
    url(/tenjin_present/images/flyer_bg.png) repeat-y top center / 100%,
    #0c6dad; */
    background:
    linear-gradient(to bottom, transparent 95%, #0c6dad 100%),
    url(/tenjin_present/images/flyer_bg.png) repeat-y top center / 100%,
    #0c6dad;
}

.flyer::before {
    content: "";
    display: block;
    background: url(/tenjin_present/images/flyer_lead.png) no-repeat center center / 100%;
    aspect-ratio: 868 / 152;
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, -90%);
    width: 90%;
    max-width: 600px;
    z-index: 999;
}

.flyer h2 {
    width: 90%; 
    margin: 0 auto;
}

.wave_top {
    position: absolute;
    left: 0;
    top: 0;
    transform: translateY(-95%);
}

.wave_bottom {
    position: absolute;
    left: 0;
    bottom: 0;
    transform: translateY(95%);
}

.flyer .inner_wrap {
    padding: clamp(20px, 3vw, 40px) 5% clamp(40px, 7vw, 50px) 5%;
}


/* ---動画ここから--- */
.movie_wrap {
    max-width: 1000px;
    margin: 5% auto 10% auto;
}

#movie {
    position: relative;
    width: 100%;
    padding-top: calc(9 / 16 * 100%);
    margin: 0 auto;
    overflow: hidden;
}

.tvo-video {
	position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    right: 0;
}

/* Equipmedia用 */
.jstream-eqPlayer,
.eq-h5_player {
	width: 100% !important;
	height: 100% !important;
}
/* Equipmedia用 */
/* ---動画ここまで--- */

.flyer ul {
    background-color: #014099;
    border-radius: 20px;
    font-size: var(--gap_20px);
    line-height: 1.5em;
    padding: 7% 5%;
}

.flyer ul li:not(:last-of-type) {
    margin-bottom: 3%;
}

.flyer ul li span {
    font-size: var(--gap_22px);
    font-weight: 800;
    color: #feee08;
}

.flyer .btn ol {
    width: fit-content;
    font-size: clamp(13px, 3vw, 20px);
    text-align: left;
    background: rgba(255, 255, 255, 0.2);
    border-radius: 3px;
    padding: 5%;
    margin: 0 auto 7% auto;
}


.flyer .btn ol li:not(:last-of-type) {
    margin-bottom: 2%;
}

.flyer .btn::before {
    background:
    /* 上 左 */ linear-gradient(#fff, #fff) left top / calc(50% - 28vw) 3px no-repeat,
    /* 上 右 */ linear-gradient(#fff, #fff) right top / calc(50% - 28vw) 3px no-repeat, 
    /* 左 */ linear-gradient(#fff, #fff) left top / 3px 100% no-repeat, 
    /* 右 */ linear-gradient(#fff, #fff) right top / 3px 100% no-repeat, 
    /* 下 */ linear-gradient(#fff, #fff) left bottom / 100% 3px no-repeat;
}


@media screen and (min-width: 768px) {

    .flyer {
        margin: clamp(90px, 10vw, 150px) 0 clamp(20px, 2vw, 80px) 0;
    }

    .flyer .inner_wrap {
        padding: clamp(40px, 5vw, 50px) 5% clamp(40px, 5vw, 60px) 5%;
    }

    .flyer::before {
        width: 70%;
        max-width: 900px;
        transform: translate(-50%, -7vw);
    }

    .flyer ul {
        font-size: var(--gap_28px);
        line-height: 1.8em;
        max-width: 1000px;
        padding: 5% 5%;
        margin: 0 auto;
    }

    .flyer ul li span {
        font-size: clamp(16px, 3vw, 32px);
    }

    .flyer .btn::before {
        background:
        /* 上 左 */ linear-gradient(#fff, #fff) left top / calc(50% - 22vw) 3px no-repeat,
        /* 上 右 */ linear-gradient(#fff, #fff) right top / calc(50% - 22vw) 3px no-repeat, 
        /* 左 */ linear-gradient(#fff, #fff) left top / 3px 100% no-repeat, 
        /* 右 */ linear-gradient(#fff, #fff) right top / 3px 100% no-repeat, 
        /* 下 */ linear-gradient(#fff, #fff) left bottom / 100% 3px no-repeat;
    }

    .flyer .btn ol {
        line-height: 1.3em;
        padding: 3%;
    }

    .flyer .btn ol li:not(:last-of-type) {
        margin-bottom: 1%;
    }

    .movie_wrap {
        margin: 4% auto 5% auto;
    }


}

@media screen and (min-width: 1500px) {

    .flyer .btn::before {
        background:
        /* 上 左 */ linear-gradient(#fff, #fff) left top / calc(50% - 17vw) 3px no-repeat,
        /* 上 右 */ linear-gradient(#fff, #fff) right top / calc(50% - 17vw) 3px no-repeat, 
        /* 左 */ linear-gradient(#fff, #fff) left top / 3px 100% no-repeat, 
        /* 右 */ linear-gradient(#fff, #fff) right top / 3px 100% no-repeat, 
        /* 下 */ linear-gradient(#fff, #fff) left bottom / 100% 3px no-repeat;
    }

}


/* =========================================
    　　　　　　Topics(class="topics")
============================================*/

.topics h2 {
    width: 40%;
    margin: 0 auto 3% auto;
}

.topics div {
    width: 90%;
    margin: 0 auto;
}

.topics dl {
    filter: drop-shadow(2px 2px 0px rgba(1, 64, 153, 1));
}

.topics dl:not(:last-of-type) {
    margin-bottom: 7%;
}

.topics dl dt {
    font-size: var(--gap_22px);
    margin-bottom: 2%;
}


@media screen and (min-width: 768px) {

    .topics h2 {
        width: 30%;
        margin: 0 auto 2% auto;
    }

    .topics div {
        width: 100%;
        display: flex;
        column-gap: 2%;
    }

    .topics dl {
        width: 32%;
    }

    .topics dl:not(:last-of-type) {
        margin-bottom: 0;
    }

    .topics dl dt {
        font-size: clamp(15px, 1.5vw, 28px);
        margin-bottom: 1%;
    }
    
    .topics dl dd a {
        transition-duration: .2s;
    }

    .topics dl dd a:hover {
        opacity: .7;
    }

}



/* =========================================
    　　　　　　　スライドイン
============================================*/

.js-pop {
    opacity: 0;
    transform: scale(0.8);
  }
  
  .js-pop.is-show {
    animation: pop 0.5s ease-out forwards;
  }
  
  @keyframes pop {
    0% {
      opacity: 0;
      transform: scale(0.8);
    }
  
    70% {
      opacity: 1;
      transform: scale(1.03);
    }
  
    100% {
      opacity: 1;
      transform: scale(1);
    }
  }


/* =========================================
    　　　　　　トップボタン
============================================*/

.page-top {
    position: fixed;
    right: 0;
    bottom: 20px;
    z-index: 999;
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transition: opacity .3s ease, visibility .3s ease;
    width: 12%;
    max-width: 80px;
}
  
.page-top.is-show {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

@media screen and (min-width: 768px) {

    .page-top {
        transition-duration: .2s;
    }
    
    .page-top:hover {
        opacity: .7;
    }

}
